package com.engine.organization.mapper.extend;

import com.engine.organization.entity.extend.po.ExtendGroupPO;
import com.engine.organization.entity.fieldset.param.FieldTypeTreeParam;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/18
 * @version: 1.0
 */
public interface ExtendGroupMapper {
    /**
     * 列表查询
     *
     * @param extendType
     * @return
     */
    List<ExtendGroupPO> listByType(@Param("extendType") Integer extendType);

    /**
     * 根据ID 查询数据
     *
     * @param ids
     * @return
     */
    List<ExtendGroupPO> listGroupByIds(@Param("ids") Collection<Long> ids);

    /**
     * 根据ID 查询数据
     *
     * @param pid
     * @return
     */
    List<ExtendGroupPO> listGroupByPid(@Param("pid") Long pid);

    /**
     * 根据ID查询分组名称
     *
     * @param id
     * @return
     */
    String getGroupNameById(@Param("id") String id);



    void insertIgnoreNull(ExtendGroupPO extendGroupPO);


    void update(@Param("id")Long id, @Param("name")String name);
}
